# List

Launch stage: GA

`GET /api/2.0/postgres/projects`

Returns a paginated list of database projects in the workspace that the user has permission to access.

API scopes: postgres

## Query parameters

- `page_token` (string, optional)
  Page token from a previous response. If not provided, returns the first page.
- `page_size` (int32, optional)
  Upper bound for items returned. Cannot be negative. The maximum value is 100.
- `show_deleted` (boolean, optional, Beta)
  Whether to include soft-deleted projects in the response.
   When true, soft-deleted projects are included alongside active projects.
   Hard-deleted and already-purged projects are never returned.

## Returns

Returns a list of Project objects.

## Response

```json
{
  "projects": [
    {
      "name": "string",
      "uid": "string",
      "create_time": "string",
      "update_time": "string",
      "spec": {},
      "status": {},
      "initial_endpoint_spec": {},
      "delete_time": "string",
      "purge_time": "string",
      "initial_branch_spec": {},
      "project_id": "string"
    }
  ],
  "next_page_token": "string"
}
```

